Page MenuHomePhabricator

[ARM] Add clang command line support for -mharden-sls=
ClosedPublic

Authored by kristof.beyls on Dec 14 2020, 8:17 AM.

Details

Summary

The command line syntax is identical to the -mharden-sls= command line
syntax for AArch64 targets.

Diff Detail

Event Timeline

kristof.beyls created this revision.Dec 14 2020, 8:17 AM
kristof.beyls requested review of this revision.Dec 14 2020, 8:17 AM
Herald added a project: Restricted Project. · View Herald TranscriptDec 14 2020, 8:17 AM
Herald added a subscriber: cfe-commits. · View Herald Transcript

Why is this restricted to v7-A or later? The DSB and ISB instructions have existed since v6T2 and v6M.

Why is this restricted to v7-A or later? The DSB and ISB instructions have existed since v6T2 and v6M.

This mitigation is never needed for M-class cores nor for v6T2.
By restricting it to v7-A it's simpler to explain in the diagnostic for which targets this is supported.
I thought that overall this was a better trade-off.

ostannard accepted this revision.Dec 18 2020, 9:40 AM

Ok, LGTM

This revision is now accepted and ready to land.Dec 18 2020, 9:40 AM
This revision was landed with ongoing or failed builds.Dec 19 2020, 4:54 AM
This revision was automatically updated to reflect the committed changes.